Summary: Universal MIME Plugin for Netscape
Name: mimeplugin
Version: 1.1
Release: 2
Source: ftp://ftp.mindspring.com/pub/users/mjlong/mimeplugin-1.1.tgz
Patch: mimeplugin-1.1.patch
Requires: netscape
Copyright: GPL
Packager: Michael J. Long <mjlong@mindspring.com>
Group: X11/Applications/Networking
Prefix: /usr/local
BuildRoot: /tmp/mimeplugin-root
Vendor: Michael J. Long <mjlong@mindspring.com>
%description
Basically, given a configuration file, it registers the plug-in with a
corresponding MIME type.  For each MIME type, there must be associated
extension(s) and command line to run.  For instance, given the
MIME type audio/x-midi, it would register with Netscape that it can
handle embedded files with the .mid extensions.  Of course, a program
like playmidi is required to play the file.  Take a look at the sample
configuration file for examples of how to configure the plug-in.

This program was developed to play embedded midi and wav music.  Since
it requires seperate programs to actually play the file, it does not
support streaming.  Nor does it have the funky midi and wav controls
seen in the Windows version of Netscape, although I would like to add
them eventually.

%prep
%setup
%patch -p1

%build
export RPM_BUILD_ROOT
make

%install
export RPM_BUILD_ROOT
install -d -m755 ${RPM_BUILD_ROOT}/usr/local/lib/netscape/plugins
make install

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%attr( -, root, root ) %doc CHANGES COPYING README mimeplugin.lsm convertConfig.pl
%attr( -, root, root ) %config /usr/local/lib/netscape/mimeplugin.conf
%attr( -, root, root ) /usr/local/lib/netscape/plugins/mimeplugin.so
